<!-- <app-home></app-home>
<app-single-event></app-single-event> -->
<app-home></app-home>
<form #form="ngForm" (submit)="onSubmit(form)" autocomplete="off">

  <!-- <button class="btn btn-success">Add user</button> -->
  <div class="container">
    <div class="row">
      <div class="col-sm-9 col-md-7 col-lg-25 mx-auto">
        <div class="card card-signin my-5">
          <div class="card-body">
            <h3 class="card-title text-center">Create Event</h3>
            <br/>
            <div>
              <label>Beneficiary Names</label>
              <input type="dropdown" name="beneficiaryName" class="form-control" #beneficiaryName="ngModel" [ngModel]="lstEventDetails[0].beneficiaryName"
              />
              <br/>
            </div>
            <div>
              <label>Council Name</label>
              <input type="dropdown" name="councilName" class="form-control" #councilName="ngModel" [ngModel]="lstEventDetails[0].councilName"
              />
              <br/>
            </div>
            <div>
              <label>Project</label>
              <input type="dropdown" name="projectName" class="form-control" #projectName="ngModel" [ngModel]="lstEventDetails[0].projectName"
              />
              <br/>
            </div>
            <div>
              <label>Event Category</label>
              <input type="dropdown" name="eventCategory" class="form-control" #eventCategory="ngModel" [ngModel]="lstEventDetails[0].eventCategory"
              />
              <br/>
            </div>
            <!-- <div>
                      <label>Event Name</label>
                      <input type="text" name="eventName" class="form-control" required #eventName="ngModel" [ngModel]="_freeApiService.eventDetails?.eventName"/>
                   <br/>
                   </div> -->
            <div>
              <label>Event Name</label>
              <input type="text" name="eventName" class="form-control" required #eventName="ngModel" [ngModel]="lstEventDetails[0].eventName"
              />
              <br/>
            </div>
            <div>
              <label>Event Description</label>
              <input type="text" name="eventDescription" class="form-control" #eventDescription="ngModel" [ngModel]="lstEventDetails[0].eventDescription"
                (ngModelChange)="newData($event)" />
              <br/>
            </div>
            <div>
              <label>Date in dd-mmm-yy</label>
              <input type="date" name="eventDate" class="form-control" #eventDate="ngModel" [ngModel]="lstEventDetails[0].eventDate" (ngModelChange)="newData($event)"
              />
              <br/>
            </div>
            <div>
              <label>Start Time</label>
              <input type="time" name="startTime" class="form-control" #startTime="ngModel" [ngModel]="lstEventDetails[0].startTime" (ngModelChange)="newData($event)"
              />
              <br/>
            </div>
            <div>
              <label>End Time</label>
              <input type="time" name="endTime" class="form-control" #endTime="ngModel" [ngModel]="lstEventDetails[0].endTime" (ngModelChange)="newData($event)"
              />
              <br/>
            </div>
            <div>
              <label>Location</label>
              <input type="dropdown" name="locationName" class="form-control" #locationName="ngModel" [ngModel]="lstEventDetails[0].locationName"
                (ngModelChange)="newData($event)" />
              <br/>
            </div>
            <div>
              <label>Address</label>
              <input type="text" name="address" class="form-control" #address="ngModel" [ngModel]="lstEventDetails[0].address" (ngModelChange)="newData($event)"
              />
              <br/>
            </div>
            <div>
              <label>Volunteers Required</label>
              <input type="text" name="volunteersRequired" class="form-control" #volunteersRequired="ngModel" [ngModel]="lstEventDetails[0].volunteersRequired"
                (ngModelChange)="newData($event)" />
              <br/>
            </div>
            <div>
              <label>POC ID</label>
              <input type="dropdown" name="pocId" class="form-control" #pocId="ngModel" [ngModel]="lstEventDetails[0].pocId" (ngModelChange)="newData($event)"
              />
              <br/>
            </div>
            <div>
              <label>Transport Boarding Type</label>
              <select class='form-control' placeholder='Transport Boarding Type' name="transportTypeId" [(ngModel)]="selectedValue" [ngModel]="_freeApiService.eventDetails?.transportTypeId">
                <option value='0'>Please Select</option>
                <option value='1'>Fixed</option>
                <option value='2'>Floating</option>
                <option value='3'>No Transport</option>
              </select>
              <br/>
            </div>

            <!-- <div>
                <label>Transport Boarding Type</label>
                <select class='form-control' placeholder='Transport Boarding Type' name="transportTypeId" [(ngModel)]="selectedValue" [ngModel]="_freeApiService.eventDetails?.transportTypeId">
                  
                  <option value='1'>Fixed</option>
                  <option value='2'>Floating</option>
                  <option value='3'>No Transport</option>
                </select>
                <br/>
              </div> -->
            <div>
                <div  *ngIf="selectedValue == '1'">
              <label>Transport Boarding Points </label>
              <input type="dropdown" name="BoardingPoint" class="form-control" #BoardingPoint="ngModel" [ngModel]="lstEventDetails[0].boardingPoint"
                (ngModelChange)="newData($event)" />
              <br/>
            </div>
          </div>
            <div *ngIf="selectedValue == '1'">
            <div>
              <label>Transport Drop Points </label>
              <input type="dropdown" name="DropPoint" class="form-control" #DropPoint="ngModel" [ngModel]="lstEventDetails[0].dropPoint"
                (ngModelChange)="newData($event)" />
              <br/>
            </div>
          </div>
            <br/>
            <div class="form-group">
              <button class="col-lg-6 btn btn-lg btn-primary btn-block text-uppercase" [disabled]="form.invalid">Create</button>
              <!-- <div class="row"  *ngIf="showMsg">
                          <div class="col-xs-12">
                             <p class="alert alert-success">
                                    <strong>Event details uploaded successfully!!</strong> 
                             </p>
                          </div>
                       </div> -->
              <div class="alert alert-dismissible alert-success" *ngIf="showMsg">
                <button type="button" class="close" data-dismiss="alert">&times;</button>
                <strong>Event details uploaded successfully!!!</strong>
                <!-- <a href="#" class="alert-link">this important alert message</a>. -->
              </div>
            </div>
          </div>

        </div>

      </div>

    </div>
  </div>
</form>